Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Value_Name Class Reference

****************************************************************. More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Value_Name:

[legend]
Collaboration diagram for TAO_PSDL_Value_Name:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Value_Name (TAO_PSDL_Node *scoped_name)
| ****************************************************************. More...
| TAO_PSDL_Value_Name (TAO_PSDL_Node *scoped_name, TAO_PSDL_Node *value_name)
virtual | ~TAO_PSDL_Value_Name (void)
TAO_PSDL_Node * | scoped_name (void) const
| Get the value. More...
TAO_PSDL_Node * | value_name (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods. More...
## Private Attributes
TAO_PSDL_Node * | scoped_name_
| The values. More...
TAO_PSDL_Node * | value_name_

## Detailed Description

****************************************************************.

## Constructor & Destructor Documentation

TAO_PSDL_Value_Name::TAO_PSDL_Value_Name | ( | TAO_PSDL_Node * | scoped_name | ) |

| ****************************************************************.

TAO_PSDL_Value_Name::TAO_PSDL_Value_Name | ( | TAO_PSDL_Node * | scoped_name,
|  | TAO_PSDL_Node * | value_name
| ) |

TAO_PSDL_Value_Name::~TAO_PSDL_Value_Name | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Value_Name::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Value_Name::scoped_name | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Value_Name::value_name | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Value_Name::scoped_name_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Value_Name::value_name_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp